## GimpScanner

GimpScanner — A wrapper around GScanner with some convenience API.

## Functions

GScanner * | gimp_scanner_new_file ()
GScanner * | gimp_scanner_new_gfile ()
GScanner * | gimp_scanner_new_stream ()
GScanner * | gimp_scanner_new_string ()
void | gimp_scanner_destroy ()
gboolean | gimp_scanner_parse_token ()
gboolean | gimp_scanner_parse_identifier ()
gboolean | gimp_scanner_parse_string ()
gboolean | gimp_scanner_parse_string_no_validate ()
gboolean | gimp_scanner_parse_data ()
gboolean | gimp_scanner_parse_int ()
gboolean | gimp_scanner_parse_int64 ()
gboolean | gimp_scanner_parse_float ()
gboolean | gimp_scanner_parse_boolean ()
gboolean | gimp_scanner_parse_color ()
gboolean | gimp_scanner_parse_matrix2 ()

## Description

A wrapper around GScanner with some convenience API.

## Functions

### gimp_scanner_new_file ()

    GScanner *
    gimp_scanner_new_file (const gchar *filename,
                           GError **error);

Since: 2.4

### gimp_scanner_new_gfile ()

    GScanner *
    gimp_scanner_new_gfile (GFile *file,
                            GError **error);

#### Parameters

file | a GFile |
error | return location for GError, or `NULL` |

#### Returns

The new GScanner.

Since: 2.10

### gimp_scanner_new_stream ()

    GScanner *
    gimp_scanner_new_stream (GInputStream *input,
                             GError **error);

#### Parameters

input | a GInputStream |
error | return location for GError, or `NULL` |

#### Returns

The new GScanner.

Since: 2.10

### gimp_scanner_new_string ()

    GScanner *
    gimp_scanner_new_string (const gchar *text,
                             gint text_len,
                             GError **error);

Since: 2.4

### gimp_scanner_destroy ()

    void
    gimp_scanner_destroy (GScanner *scanner);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |

Since: 2.4

### gimp_scanner_parse_token ()

    gboolean
    gimp_scanner_parse_token (GScanner *scanner,
                              GTokenType token);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
token | the GTokenType expected as next token. |

#### Returns

`TRUE` if the next token is `token` , `FALSE` otherwise.

Since: 2.4

### gimp_scanner_parse_identifier ()

    gboolean
    gimp_scanner_parse_identifier (GScanner *scanner,
                                   const gchar *identifier);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
identifier | the expected identifier. |

#### Returns

`TRUE` if the next token is an identifier and if its value matches `identifier` .

Since: 2.4

### gimp_scanner_parse_string ()

    gboolean
    gimp_scanner_parse_string (GScanner *scanner,
                               gchar **dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed string |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_string_no_validate ()

    gboolean
    gimp_scanner_parse_string_no_validate (GScanner *scanner,
                                           gchar **dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed string |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_data ()

    gboolean
    gimp_scanner_parse_data (GScanner *scanner,
                             gint length,
                             guint8 **dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
length | Length of the data to parse |
dest | Return location for the parsed data |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_int ()

    gboolean
    gimp_scanner_parse_int (GScanner *scanner,
                            gint *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed integer |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_int64 ()

    gboolean
    gimp_scanner_parse_int64 (GScanner *scanner,
                              gint64 *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed integer |

#### Returns

`TRUE` on success

Since: 2.8

### gimp_scanner_parse_float ()

    gboolean
    gimp_scanner_parse_float (GScanner *scanner,
                              gdouble *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed float |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_boolean ()

    gboolean
    gimp_scanner_parse_boolean (GScanner *scanner,
                                gboolean *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Return location for the parsed boolean |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_color ()

    gboolean
    gimp_scanner_parse_color (GScanner *scanner,
                              GimpRGB *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Pointer to a color to store the result |

#### Returns

`TRUE` on success

Since: 2.4

### gimp_scanner_parse_matrix2 ()

    gboolean
    gimp_scanner_parse_matrix2 (GScanner *scanner,
                                GimpMatrix2 *dest);

#### Parameters

scanner | A GScanner created by `gimp_scanner_new_file()` or `gimp_scanner_new_string()` |
dest | Pointer to a matrix to store the result |

#### Returns

`TRUE` on success

Since: 2.4